| Flutter Windows Embedder |

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
flutter::egl::ProcTable Class Reference

`#include <proc_table.h>`

## Public Member Functions
virtual | ~ProcTable ()
virtual void | GenTextures (GLsizei n, GLuint *textures) const
virtual void | DeleteTextures (GLsizei n, const GLuint *textures) const
virtual void | BindTexture (GLenum target, GLuint texture) const
virtual void | TexParameteri (GLenum target, GLenum pname, GLint param) const
virtual void | TexImage2D (GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void *data) const

## Static Public Member Functions
static std::shared_ptr< ProcTable > | Create ()

## Protected Member Functions
| ProcTable ()

## Detailed Description

Definition at line 19 of file proc_table.h.

## Constructor & Destructor Documentation

## ◆ ~ProcTable()

flutter::egl::ProcTable::~ProcTable | ( |  | ) |
| virtualdefault

## ◆ ProcTable()

flutter::egl::ProcTable::ProcTable | ( |  | ) |
| protecteddefault

Referenced by Create().

## Member Function Documentation

## ◆ BindTexture()

void flutter::egl::ProcTable::BindTexture | ( | GLenum | target,
|  | GLuint | texture
| ) |  | const
| virtual

Definition at line 46 of file proc_table.cc.

46 {
47 bind_texture_(target, texture);
48 }

## ◆ Create()

std::shared_ptr< ProcTable > flutter::egl::ProcTable::Create | ( |  | ) |
| static

Definition at line 12 of file proc_table.cc.

12 {
13 auto gl = std::shared_ptr<ProcTable>(new ProcTable());
14
15 gl->gen_textures_ =
16 reinterpret_cast<GenTexturesProc>(::eglGetProcAddress("glGenTextures"));
17 gl->delete_textures_ = reinterpret_cast<DeleteTexturesProc>(
18 ::eglGetProcAddress("glDeleteTextures"));
19 gl->bind_texture_ =
20 reinterpret_cast<BindTextureProc>(::eglGetProcAddress("glBindTexture"));
21 gl->tex_parameteri_ = reinterpret_cast<TexParameteriProc>(
22 ::eglGetProcAddress("glTexParameteri"));
23 gl->tex_image_2d_ =
24 reinterpret_cast<TexImage2DProc>(::eglGetProcAddress("glTexImage2D"));
25
26 if (!gl->gen_textures_ || !gl->delete_textures_ || !gl->bind_texture_ ||
27 !gl->tex_parameteri_ || !gl->tex_image_2d_) {
28 return nullptr;
29 }
30
31 return gl;
32 }

References ProcTable().

Referenced by flutter::FlutterWindowsEngine::FlutterWindowsEngine().

## ◆ DeleteTextures()

void flutter::egl::ProcTable::DeleteTextures | ( | GLsizei | n,
|  | const GLuint * | textures
| ) |  | const
| virtual

Definition at line 42 of file proc_table.cc.

42 {
43 delete_textures_(n, textures);
44 }

## ◆ GenTextures()

void flutter::egl::ProcTable::GenTextures | ( | GLsizei | n,
|  | GLuint * | textures
| ) |  | const
| virtual

Definition at line 38 of file proc_table.cc.

38 {
39 gen_textures_(n, textures);
40 }

## ◆ TexImage2D()

void flutter::egl::ProcTable::TexImage2D | ( | GLenum | target,
|  | GLint | level,
|  | GLint | internalformat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLint | border,
|  | GLenum | format,
|  | GLenum | type,
|  | const void * | data
| ) |  | const
| virtual

Definition at line 54 of file proc_table.cc.

62 {
63 tex_image_2d_(target, level, internalformat, width, height, border, format,
64 type, data);
65 }

References type.

## ◆ TexParameteri()

void flutter::egl::ProcTable::TexParameteri | ( | GLenum | target,
|  | GLenum | pname,
|  | GLint | param
| ) |  | const
| virtual

Definition at line 50 of file proc_table.cc.

50 {
51 tex_parameteri_(target, pname, param);
52 }

The documentation for this class was generated from the following files:

- shell/platform/windows/egl/proc_table.h
- shell/platform/windows/egl/proc_table.cc

flutter::egl::ProcTable::ProcTable
ProcTable()
type
enum flutter::testing::@88::KeyboardChange::Type type